Hi Michael,<br><br>Normally this is pretty straight forward, you just need to point you library path at the libraries, either via LD_LIBRARY_PATH or your /etc/ld.so.conf.  Obviously you are doing something wrong along the route, but there is no way for me to know what this is though as I don't have you machine in front of me.  If you have some colleagues then please get them to walk you through setting up of paths.<br>
<br>Robert.<br><br><div class="gmail_quote">On Mon, Mar 16, 2009 at 11:52 PM, Michael W. Hall <span dir="ltr"><<a href="mailto:hallmw@att.net">hallmw@att.net</a>></span> wrote:<br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Robert,<br>
<br>
I have LD_LIBRARY defined as /usr/local/lib64.  This is where<br>
libOpenThreads.so.11 is located.  I uninstalled OSG and did a make<br>
clean.  I then ran make and make install.  I am still getting the same<br>
error.  I am running FC10 x86_64.  should I make a symbolic link<br>
in /usr/local/lib?  Let me know if I am missing something else.  I am<br>
going to give that a try.<br>
<font color="#888888"><br>
Michael<br>
</font><div><div></div><div class="h5"><br>
On Sat, 2009-03-07 at 09:49 +0000, Robert Osfield wrote:<br>
> Hi Michael,<br>
><br>
> You either have to install OSG and VPB or set up LD_LIBARARY and PATH<br>
> env vars to point to respective lib and bin directories.<br>
><br>
> Robert.<br>
><br>
> On Sat, Mar 7, 2009 at 1:01 AM, Michael W. Hall <<a href="mailto:hallmw@att.net">hallmw@att.net</a>> wrote:<br>
> > I appreciate the reply.  I got OSG 2.6.1 and followed the info you<br>
> > provided to get the version of VPB that was was listed in the table to<br>
> > work with the version of OSG I have installed.<br>
> ><br>
> > It has been a while since I have played with it, but the both build and<br>
> > installed.  When I try to run osgversion, I get the following:<br>
> ><br>
> > ./osgversion: error while loading shared libraries:<br>
> > libOpenThreads.so.11: cannot open shared object file: No such file or<br>
> > directory<br>
> ><br>
> > I have checked and the above lib is there.  When I run osgdem, I get the<br>
> > following error:<br>
> ><br>
> > osgdem: error while loading shared libraries: libvpb.so.8: cannot open<br>
> > shared object file: No such file or directory<br>
> ><br>
> > That lib is there also.  Any ideas to try? I am running FC10.<br>
> ><br>
> > Thanks,<br>
> > Michael<br>
> ><br>
> ><br>
> > On Sun, 2009-01-25 at 11:58 +0100, Ralf Stokholm wrote:<br>
> >> Hi Michael<br>
> >><br>
> >> I have set up my build of osg using externals in svn.<br>
> >><br>
> >><br>
> >> osg<br>
> >> <a href="http://www.openscenegraph.org/svn/osg/OpenSceneGraph/tags/OpenSceneGraph-2.6.1" target="_blank">http://www.openscenegraph.org/svn/osg/OpenSceneGraph/tags/OpenSceneGraph-2.6.1</a><br>
> >> osgdata -r7561<br>
> >> <a href="http://www.openscenegraph.org/svn/osg/OpenSceneGraph-Data/trunk" target="_blank">http://www.openscenegraph.org/svn/osg/OpenSceneGraph-Data/trunk</a><br>
> >> 3rdPartysvn -r403<br>
> >> <a href="https://osgtoy.svn.sourceforge.net/svnroot/osgtoy/3rdParty/branches/3rdParty_win32binaries_vs80sp1" target="_blank">https://osgtoy.svn.sourceforge.net/svnroot/osgtoy/3rdParty/branches/3rdParty_win32binaries_vs80sp1</a><br>

> >> osgdem -r927<br>
> >> <a href="http://www.openscenegraph.org/svn/VirtualPlanetBuilder/trunk" target="_blank">http://www.openscenegraph.org/svn/VirtualPlanetBuilder/trunk</a><br>
> >><br>
> >> this should work, at least it does on Windows xp and visual studio.<br>
> >><br>
> >> If you simply want to get VPB in 924 or 927 which works for me, then<br>
> >> simply do an update to revision in svn.<br>
> >><br>
> >> Hope this helps.<br>
> >><br>
> >> Brgs.<br>
> >> Ralf Stokholm<br>
> >> <a href="http://www.arenalogic.com" target="_blank">www.arenalogic.com</a><br>
> >><br>
> >><br>
> >> 2009/1/25 Michael W. Hall <<a href="mailto:hallmw@att.net">hallmw@att.net</a>><br>
> >>         I have built OSG 2.6.1.  Now I am trying to get the VPB to<br>
> >>         build.  I got<br>
> >>         the latest from SVN, but I see that the chart says VPB r924 is<br>
> >>         the one<br>
> >>         to use.  Could someone tell me how to get the version of VPB<br>
> >>         that will<br>
> >>         compile against OSG 2.6.1?<br>
> >><br>
> >>         I am using Fedora Core 10 x86_64.<br>
> >><br>
> >>         Thanks,<br>
> >>         Michael<br>
> >><br>
> >>         _______________________________________________<br>
> >>         osg-users mailing list<br>
> >>         <a href="mailto:osg-users@lists.openscenegraph.org">osg-users@lists.openscenegraph.org</a><br>
> >>         <a href="http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org" target="_blank">http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org</a><br>
> >><br>
> >> _______________________________________________<br>
> >> osg-users mailing list<br>
> >> <a href="mailto:osg-users@lists.openscenegraph.org">osg-users@lists.openscenegraph.org</a><br>
> >> <a href="http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org" target="_blank">http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org</a><br>
> ><br>
> > _______________________________________________<br>
> > osg-users mailing list<br>
> > <a href="mailto:osg-users@lists.openscenegraph.org">osg-users@lists.openscenegraph.org</a><br>
> > <a href="http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org" target="_blank">http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org</a><br>
> ><br>
> _______________________________________________<br>
> osg-users mailing list<br>
> <a href="mailto:osg-users@lists.openscenegraph.org">osg-users@lists.openscenegraph.org</a><br>
> <a href="http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org" target="_blank">http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org</a><br>
<br>
_______________________________________________<br>
osg-users mailing list<br>
<a href="mailto:osg-users@lists.openscenegraph.org">osg-users@lists.openscenegraph.org</a><br>
<a href="http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org" target="_blank">http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org</a><br>
</div></div></blockquote></div><br>